GJAR(1)

NAME
gjar - - Archive tool for Java archives

SYNOPSIS
gjar -ctxui [OPTIONS] jar-file [-C DIR FILE] FILE...

DESCRIPTION
gjar is an implementation of Sun's jar utility that comes with the JDK.

If any file is a directory then it is processed recursively. The manifest file name and the archive file name needs to be specified in the same order the -m and -f flags are specified.

OPTIONS
Operation mode:

-c  Create new archive.

-t  List table of contents for archive.

-x  Extract named (or all) files from archive.

-u  Update existing archive.

-i FILE
    Compute archive index.

Operation modifiers:

-f FILE
    Specify archive file name.

-0  Store only; use no ZIP compression.

-v  Generate verbose output on standard output.

-M  Do not create a manifest file for the entries.

-m manifest
    Include manifest information from specified manifest file.

File name selection:

-C DIR FILE
    Change to the DIR and include the following FILE.

-@  Read the names of the files to add to the archive from stdin. This option is supported only in combination with -c or -u. Non standard option added in the GCC version.

Standard options:

-help
    Print help text, then exit.

-version
    Print version number, then exit.

-JOPTION
    Pass argument to the Java runtime.

BUGS

SEE ALSO
java(1), ...

AUTHOR